using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace AutoBroker
{
    public partial class SiOptionsDialog : Form
    {
        private ExportDataDetails details = null;

        public void SetDetails(ExportDataDetails exportDetails)
        {
            details = exportDetails;
        }

        public SiOptionsDialog()
        {
            InitializeComponent();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            Close();
        }

        public int GetMin()
        {
            return int.Parse(txtPermMin.Text);
        }

        public int GetMax()
        {
            return int.Parse(txtPermMax.Text);
        }

        private void btnBuildIndex_Click(object sender, EventArgs e)
        {
            details.BuildIndex();
            MessageBox.Show("Zbudowano");
        }

        private void btnSeeRaport_Click(object sender, EventArgs e)
        {
            details.ShowReport();            
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void btnBuildComparison_Click(object sender, EventArgs e)
        {
            details.BuildComparison();
        }
    }
}