using System;
using System.Collections.Generic;
using System.Collections;
using System.Text;

namespace AutoBroker
{
    internal class ReversedComparer<T> : IComparer<T> where T : System.IComparable
    {
        #region IComparer<T> Members

        public int Compare(T x, T y)
        {            
            return -x.CompareTo(y);
        }

        #endregion
    }
}